local DAMAGE_FACTOR = 1.6

function main(self)
	local claw = GetClaw()

    if self.State == 0 then
		self.lastClawDamage = 0
		self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
		self.State = 1
	end

	if self.State == 1 and claw.Damage > 0 then
		claw.Damage = math.floor(claw.Damage*DAMAGE_FACTOR)
		self.lastClawDamage = claw.Damage
		self.State = 2
	end

	if self.State == 2 and claw.Damage ~= self.lastClawDamage then
		self.State = 1
	end
end
